> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/dash-dash/dash_protx_update_registrar.md).

# protx\_update\_registrar {disallowed} - Dash

Example code for the protx\_update\_registrar  {disallowed} json-rpc method. Сomplete guide on how to use protx\_update\_registrar  {disallowed} json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`submethod` - string

None

`proTxHash` - string (hex)

The hash of the provider transaction as hex in RPC byte order.

`operatorPubKey` - string (hex)

The operator public key. The private key does not have to be known. It has to match the private key which is later used when operating the masternode.

If set to an empty string, the currently active operator BLS public key is reused.

`votingAddress` - string (hex)

The voting address. The private key does not have to be known by your wallet. It has to match the private key which is later used when voting on proposals.

If set to an empty string, the currently active voting key address is reused.

`payoutAddress` - string (hex)

Optional.

The Dash address to use for masternode reward payments. If set to an empty string, the currently active payout address is reused.

`feeSourceAddress` - string

Optional.

If specified, the wallet will only use coins from this address to fund the ProTx. If not specified, payoutAddress will be used. The private key belonging to this address must be known in your wallet.

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "protx",
"params": ["update_registrar", null, null, null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```
